Package org.eclipse.emf.cdo.session.remote

# Interface CDORemoteTopicEvent.MessageReceived

All Superinterfaces:
  `CDORemoteTopicEvent`, `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  `CDORemoteTopicEvent`

public static interface CDORemoteTopicEvent.MessageReceived extends CDORemoteTopicEvent
A `remote topic event` fired from a `topic` when a `message` from a `remote session` has been received.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.remote.CDORemoteTopicEvent

`CDORemoteTopicEvent.MessageReceived`

## Method Summary

Modifier and Type
Method
Description
`CDORemoteSessionMessage`
`getMessage()`
Returns the message that the `sender` has sent to the `topic` of this event.

### Methods inherited from interface org.eclipse.emf.cdo.session.remote.CDORemoteTopicEvent

`getRemoteSession, getSource`

## Method Details

### getMessage

CDORemoteSessionMessage getMessage()
Returns the message that the `sender` has sent to the `topic` of this event.